$(function () {
    if (top.location.pathname === '/8-bffa/contact/contact') {
        mapboxgl.accessToken = 'pk.eyJ1IjoiZGV2ZWxvcG1lbnRhdHdhenp1cHNvZnR3YXJlIiwiYSI6ImNqbmVtMjU2eDFrZ3Ezd3A4bzF3cDdhazYifQ.V5XT8YV7-9azGN4dyF70FA';
        var mapboxClient = mapboxSdk({ accessToken: mapboxgl.accessToken });
        mapboxClient.geocoding
            .forwardGeocode({
                query: 'Hogewoerd 32 A Woerden',
                autocomplete: false,
                limit: 1
            })
            .send()
            .then(function (response) {
                if (
                    response &&
                    response.body &&
                    response.body.features &&
                    response.body.features.length
                ) {
                    var feature = response.body.features[0];

                    var map = new mapboxgl.Map({
                        container: 'map',
                        style: 'mapbox://styles/mapbox/satellite-streets-v11',
                        center: feature.center,
                        zoom: 15
                    });
                    new mapboxgl.Marker().setLngLat(feature.center).addTo(map);
                    map.scrollZoom.disable();
                    map.boxZoom.disable();
                    map.dragPan.disable();
                    map.dragRotate.disable();
                    map.touchZoomRotate.disable();
                    map.keyboard.disable();
                    map.doubleClickZoom.disable();
                    map.on('load', function () {
                        map.resize();
                    });
                }
            });
    }
});